import connexion
from flask_cors import CORS
from dbpool import createConnectionPool
import configparser


# load configuration
config = configparser.ConfigParser()
config.read('./config/server.ini')

# prepare database connections
createConnectionPool(config['database'])

# instantiate the webservice
app = connexion.App(__name__)
app.add_api('swagger.yaml')

# CORSify it - otherwise Angular won't accept it
CORS(app.app)

# provide the webservice application to uwsgi
application = app.app
